MongoId::isValid
MongoId::__toString
MongoId
PHP Manual

# MongoId::__set_state

Create a dummy MongoId

### Description

public static MongoId MongoId::__set_state ( array `$props` )

This function is only used by PHP internally, it shouldn't need to ever be called by the user.

It is identical to the function:

`<?php
public static function __set_state($props) {
return new MongoId("000000000000000000000000");
}
?>`

### Parameters

`props`

  Theoretically, an array of properties used to create the new id. However, as MongoId instances have no properties, this is not used.

### Return Values

A new id with the value "000000000000000000000000".